
From: Patrick Gefre <pfg@sgi.com>

Arm the read timeout timer before the first read.

Signed-off-by: Patrick Gefre <pfg@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/ioc4_serial.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/serial/ioc4_serial.c~altix-ioc4-serial-arm-the-read-timeout-timer-before-the-first-read drivers/serial/ioc4_serial.c
--- 25/drivers/serial/ioc4_serial.c~altix-ioc4-serial-arm-the-read-timeout-timer-before-the-first-read	2005-04-26 20:16:56.750151472 -0700
+++ 25-akpm/drivers/serial/ioc4_serial.c	2005-04-26 20:16:56.757150408 -0700
@@ -838,7 +838,7 @@ static int inline port_init(struct ioc4_
 	port->ip_tx_prod = readl(&port->ip_serial_regs->stcir) & PROD_CONS_MASK;
 	writel(port->ip_tx_prod, &port->ip_serial_regs->stpir);
 	port->ip_rx_cons = readl(&port->ip_serial_regs->srpir) & PROD_CONS_MASK;
-	writel(port->ip_rx_cons, &port->ip_serial_regs->srcir);
+	writel(port->ip_rx_cons | IOC4_SRCIR_ARM, &port->ip_serial_regs->srcir);
 
 	/* Disable interrupts for this 16550 */
 	uart = port->ip_uart_regs;
_
